package jp.programmingmat.www.gbtkgl10;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.FloatBuffer;

public class GbtkGL10Util {

	public static FloatBuffer createFloatBuffer(float[] data) {

		if (data == null) {
			return null;
		}
		
		return createFloatBuffer(data, 0, data.length);
		
	}
	
	public static FloatBuffer createFloatBuffer(float[] data, int offset, int count) {

		if (data == null || count < 1) {
			return null;
		}

        ByteBuffer bbuf = ByteBuffer.allocateDirect(count * 4);

        bbuf.order(ByteOrder.nativeOrder());

        FloatBuffer fbuf = bbuf.asFloatBuffer();

        fbuf.put(data, offset, count);

        fbuf.position(0);

        return fbuf;

	}

}