package jp.programmingmat.www.gbtkgl10Sample01;

import jp.programmingmat.www.gbtkgl10.*;

import android.os.Bundle;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.TextView;

public class SampleActivity extends GbtkGL10Activity {

	private TextView mFPSView;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
    	
    	super.onCreate(savedInstanceState);

    	updateFrameMS(0);
    	
    }
 
    @Override
    protected GbtkGL10World createWorld() {
    	return new SampleWorld(this);
    }

    @Override
    protected View createContentView() {

    	// contentViewにするFrameLayoutを作成
    	FrameLayout contentView = new FrameLayout(this);

    	// FrameLayoutにviewを追加
    	contentView.addView(getView(), FrameLayout.LayoutParams.MATCH_PARENT, FrameLayout.LayoutParams.MATCH_PARENT);

    	// FPS表示用のTextViewを作成
    	mFPSView = new TextView(this);
    	mFPSView.setTextColor(0xffffffff);

    	// FrameLayoutにTextViewを追加
    	contentView.addView(mFPSView, FrameLayout.LayoutParams.MATCH_PARENT, FrameLayout.LayoutParams.WRAP_CONTENT);

    	return contentView;
    	
    }

    /**
     * FPS表示を更新
     * @param ms フレームの平均更新時間
     */
    public void updateFrameMS(double ms) {

    	double fps;
    	
    	// FPSを算出
    	if (ms > 0) {
    		fps = 1000.0 / ms;
    	} else {
    		fps = 0;
    	}

    	// FPSを100倍（小数点以下2位を1の位に
    	int fpsVal = (int)Math.floor(fps * 100.0);
    	
    	String fpsText = String.valueOf(fpsVal);

    	// 小数点を付加した文字列を作成
    	if (fpsText.length() > 1) {
    		fpsText = fpsText.substring(0, fpsText.length() - 2) + "." + fpsText.substring(fpsText.length() - 2);
    	}

    	// 文字列をTextViewに設定
    	mFPSView.setText("FPS:" + fpsText);

    }

}
