package jp.programmingmat.www.gbtkgl10Sample01;

import jp.programmingmat.www.gbtkgl10.*;

/**
 * GbtkGL10Objectクラスをサブクラス化して独自の物体（人工衛星）を定義するサンプルクラスです
 */
public class SampleObject extends GbtkGL10Object {

	public SampleObject() {
		
		super();

		GbtkGL10Mesh head = new GbtkGL10Mesh(new GbtkGL10Geometry(GbtkGL10Element.createYSphereElement(1.0f, 32)), new GbtkGL10Material(0.1f, 0.1f, 0.1f, 1.0f));
		head.getMaterial().setSpecularRGBA(0.6f, 0.6f, 0.7f, 1.0f);
		head.getMaterial().setShininess(120);
		
		GbtkGL10Mesh pole = new GbtkGL10Mesh(GbtkGL10Geometry.createBoxGeometry(0.25f, 1.2f, 0.25f), new GbtkGL10Material(0.75f, 0.75f, 0.75f, 1.0f));
		GbtkGL10Mesh box1 = new GbtkGL10Mesh(GbtkGL10Geometry.createBoxGeometry(1, 1, 1), new GbtkGL10Material(0.75f, 1.0f, 1.0f, 1.0f));
		GbtkGL10Mesh box2 = new GbtkGL10Mesh(GbtkGL10Geometry.createBoxGeometry(1, 1, 1), new GbtkGL10Material(0.75f, 1.0f, 1.0f, 1.0f));
		GbtkGL10Mesh box3 = new GbtkGL10Mesh(GbtkGL10Geometry.createBoxGeometry(1, 1, 1), new GbtkGL10Material(1.0f, 0.75f, 1.0f, 1.0f));
		GbtkGL10Mesh box4 = new GbtkGL10Mesh(GbtkGL10Geometry.createBoxGeometry(1, 1, 1), new GbtkGL10Material(1.0f, 1.0f, 0.75f, 1.0f));
		GbtkGL10Mesh box5 = new GbtkGL10Mesh(GbtkGL10Geometry.createBoxGeometry(1, 1, 1), new GbtkGL10Material(1.0f, 1.0f, 0.75f, 1.0f));
		
		head.setPosition(0.0f, 1.7f, 0.0f);
		pole.setPosition(0.0f, 0.1f, 0.0f);
		box1.setPosition(1.0f, 0.0f, 0.0f);
		box2.setPosition(-1.0f, 0.0f, 0.0f);
		box3.setPosition(0.0f, -1.0f, 0.0f);
		box4.setPosition(0.0f, 0.0f, 1.0f);
		box5.setPosition(0.0f, 0.0f, -1.0f);
		
		addMesh(head);
		addMesh(pole);
		addMesh(box1);
		addMesh(box2);
		addMesh(box3);
		addMesh(box4);
		addMesh(box5);
		
	}

}
